New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Missing Assimp dependency for package/debian #39

Closed
leokolln opened this Issue Feb 14, 2018 · 2 comments

Comments

2 participants
@leokolln

leokolln commented Feb 14, 2018

There is a missing dependency for libassimp-dev on the Debian package, making the dpkg-buildpackage fail at compilation (without clear message of why it failed) instead of during the dependency check, in case the library is not installed.

The dependency is missing at:

Build-Depends: debhelper (>= 9), cmake (>= 2.8.12), magnum-dev, libdevil-dev, libjpeg-dev, libpng12-dev, libfreetype6-dev

@leokolln

This comment has been minimized.

leokolln commented Feb 14, 2018

Also recommend upgrade libassimp3 to libassimp3v5 as the former is not readily available in newer versions of Ubuntu.

@mosra mosra added this to TODO in Project management via automation Feb 14, 2018

@mosra mosra added this to the 2018.02 milestone Feb 15, 2018

@mosra

This comment has been minimized.

Owner

mosra commented Feb 15, 2018

Fixed in a66fd92. Thank you!

@mosra mosra closed this Feb 15, 2018

Project management automation moved this from TODO to Done Feb 15, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment